﻿//
// Copyright (c) 2015, MindFusion LLC - Bulgaria.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;


namespace MindFusion.Scheduling.Wpf.Samples.CS.ResourceSchedule
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			calendar.BeginInit();

			// Create and add individual resources
			Resource resource = null;

			resource = new Resource();
			resource.Name = "Helpdesk\nDACH-Ka\nANBE";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "Installation\nDACH-Ka\nANWIN";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "Intervention\nDACH-Ka\nJOPU";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "OFFICE\nDACH-Ka\nTHOWI";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "Training\nDACH-Ka\nIMMA";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "Exhibition\nDACH-Ka\nPreuss";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "Maintenance\nDACH-Ka\nTimaric";
			calendar.ItemResources.Add(resource);

			resource = new Resource();
			resource.Name = "Hotline\nDACH-Ka\nKubutat";
			calendar.ItemResources.Add(resource);

			// Some sample appointments
			Appointment app = null;

			app = new Appointment();
			app.StartTime = new DateTime(2007, 6, 10);
			app.EndTime = new DateTime(2007, 6, 15);
			app.AllDayEvent = true;
			app.HeaderText = "TN014201";
			app.Resources.Add(calendar.ItemResources[0]);
			calendar.SetItemTooltip(app, "This is a tooltip for item " + app.HeaderText);

			CalendarStyle c = new CalendarStyle();
			c.Background = new SolidColorBrush(Color.FromRgb(0, 255, 0));
			c.TextAlignment = TextAlignment.Left;
			c.VerticalAlignment = VerticalAlignment.Top;
			c.HorizontalAlignment = HorizontalAlignment.Left;

			calendar.SetItemStyle(app, c);

			c = new CalendarStyle();
			c.Background = new SolidColorBrush(Color.FromRgb(0, 255, 0));
			c.TextAlignment = TextAlignment.Left;
			c.VerticalAlignment = VerticalAlignment.Top;
			c.HorizontalAlignment = HorizontalAlignment.Left;
			calendar.SetSelectedItemStyle(app, c);
			calendar.Schedule.Items.Add(app);

			for (int i = 0; i < 5; i++)
			{
				app = new Appointment();
				app.StartTime = new DateTime(2007, 6, 15 + i);
				app.EndTime = new DateTime(2007, 6, 16 + i);
				app.AllDayEvent = true;
				app.HeaderText = "Holiday";
				app.Resources.Add(calendar.ItemResources[0]);
				calendar.SetItemTooltip(app, "This is a tooltip for item " + app.HeaderText);

				CalendarStyle s = new CalendarStyle();
				s.Background = new SolidColorBrush(Color.FromRgb(255, 0, 0));
				s.TextAlignment = TextAlignment.Left;
				s.VerticalAlignment = VerticalAlignment.Top;
				s.HorizontalAlignment = HorizontalAlignment.Left;
				s.Foreground = Brushes.White;

				calendar.SetItemStyle(app, s);
				s = new CalendarStyle();
				s.Background = new SolidColorBrush(Color.FromRgb(255, 0, 0));
				s.TextAlignment = TextAlignment.Left;
				s.VerticalAlignment = VerticalAlignment.Top;
				s.HorizontalAlignment = HorizontalAlignment.Left;
				s.Foreground = Brushes.White;
				calendar.SetSelectedItemStyle(app, s);
				calendar.Schedule.Items.Add(app);
			}

			calendar.EndInit();
		}
	}
}
